@charset "UTF-8";

@font-face {
  font-family: 'Tilt Neon';
  src: url('../fonts/TiltNeon-Regular-VariableFont_XROT,YROT.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
  font-variation-settings:
    "XROT" 0,
    "YROT" 0;
} 

:root {
  /* Das erste Bild als Standardwert definieren */
  --hintergrund-bild: url('../img/hg.png');
  --gradient: 0.0;
}

body {
  font-family: "Tilt Neon", system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif;
  font-optical-sizing: auto;
}
    
/* Setzt das h1-Element auf die passende Navbar-Größe zurück */
.navbar-brand h1 {
  font-size: 1.5rem;
  margin-bottom: 0;
  font-weight: 700;
}

.hero { 
  background: #f8f9fa; padding: 100px 0;
  background-image: linear-gradient(rgba(255, 255, 255, var(--gradient)), rgba(255, 255, 255, var(--gradient))), var(--hintergrund-bild);
  background-size: cover; 
  background-position: center; 
  padding: 150px 0;
  transition: --hintergrund-bild 0.5s ease;
}

.X_hero { 
  background: #f8f9fa; padding: 100px 0;
  background-image: linear-gradient(rgba(255, 255, 255, 0.2), rgba(255, 255, 255, 0.2)), url('../img/hg1.png'); 
  background-size: cover; 
  background-position: center; 
  padding: 150px 0; 
}

.avatar {
  margin-bottom: 5rem !important;
}
        
h1 { border-bottom: 2px solid #ccc; padding-bottom: 10px; }
h2 { margin-top: 25px; font-size: 1.2rem; }
p { margin: 5px 0; }
a { color: #0066cc; text-decoration: none; }
a:hover { text-decoration: underline; }